Subject: Re: [re-ECN] preliminary draft of problem statement- authors wanted

From: <[email-masked]>
Date: Fri, 2 Oct 2009 09:44:47 +0100

How about "rest-of-path congestion" = congestion between this node and the destination

phil

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: 24 September 2009 15:43
To: [email-masked]; [email-masked]
Subject: Re: [re-ECN] preliminary draft of problem statement- authors wanted

Hi Mirja,

I am in the process of integrating this into the document and expanding it. I have decided to insert some extra bits and am actually completely re-working the whole of section 5 at the same time.

One thing needs to be clarified (as I have noticed it with other people as well): you seem to have got your terminology back to front. We refer to upstream congestion as being the congestion between a given point and the origin (source) of the traffic. The downstream congestion is between that point and the destination (sink) of the traffic. In other words downstream is in the direction of flow and upstream is against the flow. This is based on the conventional usage in English when referring to real flows e.g. water in rivers...

Toby

> -----Original Message-----
> From: Mirja Kuehlewind [mailto:[email-masked]]
> Sent: 24 September 2009 12:28
> To: [email-masked]
> Cc: Moncaster,T,Toby,DER3 R
> Subject: Re: [re-ECN] preliminary draft of problem statement- authors
> wanted
> 
> Hi Toby,
> 
> I've tried to fill section 5.3 (see below). I've moved some points form
> 4.
> (Requirements for a Solution) into this section. So I'm not sure if 4.
> is
> still an own section. Might be enough to include on paragraph into the
> introduction.
> I hope this input helps somehow as a starting point for 5.3 or if this
> is not
> what was meant to be there it may be included in some other part on the
> document.
> 
> Mirja
> 
> 
> -----------------------------------------
> 5.3.  Re-feedback as a potential solution
> 
> To eliminate the asymmetry of information between end-points and
> network
> components it can be supposed to re-insert the congestion feedback
> signaled
> by the receiver into the Internet. Thereby an approximation about how
> much
> congestion needs to be expected over the whole path is given. Having
> this
> information within the network the congestion policing can be enforced
> before
> other users get discriminated by "heavy users".
> 
> Considering the ECN information as the downstream congestion and the
> re-feedbacked congestion information as whole-path congestion, the
> upstream
> congestion (or rest-path congestion) can easily be achieved by
> subtracting
> one form the other. That enables network components to be responsive to
> congestion instead just rely on the end-hosts.
> 
> The upstream congestion reveals valuable information at ISP borders. On
> the
> one hand the amount of congestion that will be pushed into a domain can
> become part of an inter-domain agreement. One the other hand the amount
> of
> the expected upstream congestion might lead to switch to a less
> congestion
> network-domain (what might boost the competition to provide a more
> reliable
> network).
> 
> Summing up, the exposure of downstream, upstream and the whole-path
> congestion
> can be achieved by re-insertion of congestion notifications and will
> establish an information symmetry between users and network providers.
> This
> will open a door for incremental deployment and an evolution to new
> congestion responses which are not bounded anymore to an "universal
> rate
> adaptable policy" as the information equilibrium implicit controls a
> fair
> capacity sharing.
> 
> 
> On Thursday 24 September 2009 10:04:03 [email-masked] wrote:
> > Hi Michael,
> >
> > Thanks for the useful feedback. Clearly this document is still in its
> > very early stages. I will try and produce a new version by end of the
> > week  which will hopefully address some of your comments.
> >
> > Meanwhile I am still keen to get volunteers willing to contribute
> chunks
> > of text for any of the sections.
> >
> > Toby
> >
> > > -----Original Message-----
> > > From: Michael Menth [mailto:[email-masked]]
> > > Sent: 23 September 2009 22:41
> > > To: Moncaster,T,Toby,DER3 R
> > > Cc: [email-masked]
> > > Subject: Re: [re-ECN] preliminary draft of problem statement-
> authors
> > > wanted
> > >
> > > Hi Toby,
> > >
> > > I read the whole document and still it is unclear in many parts. I
> > > marked them in the attached doc-file. I hope this helps to improve
> its
> > > clarity.
> > >
> > > Regards,
> > >
> > >     Michael
> > >
> > > [email-masked] schrieb:
> > > > Hi All,
> > > >
> > > > As promised here is a new draft of the problem statement with a
> bit
> > >
> > > more meat on the bones. There is still an awful lot of work to be
> done
> > > on this and not too much time to do it. Our absolute deadline to
> get
> > > something in is October 19th - only just over 3 weeks away...
> > >
> > > > As before I would welcome any contributions of text or general
> > >
> > > comments. When I have a bit more time I will do proper xml2rfc
> author
> > > entries for everyone that has contributed... For political reasons
> I
> > > want it to be clear that this is a document that has been worked on
> > > from people across the whole range of the IETF community.
> > >
> > > > Toby
> > > >
> > > >
> ____________________________________________________________________
> > > > Toby Moncaster, Senior Researcher, Network Infrastructure
> Practise
> > > > B54/70 Adastral Park, Ipswich, IP53RE, UK.  +44 7918 901170
> >
> > ---------------------------------------------------------------------
> >
> > > -
> > >
> > > > --
> > > >
> > > > _______________________________________________
> > > > re-ECN mailing list
> > > > [email-masked]
> > > > https://www.ietf.org/mailman/listinfo/re-ecn
> > >
> > > --
> > > Dr. Michael Menth, Assistant Professor
> > > University of Wuerzburg, Institute of Computer Science Am Hubland,
> D-
> > > 97074 Wuerzburg, Germany, room B206
> > > phone: (+49)-931/31-86644 (new), fax: (+49)-931/888-6632
> > > mailto:[email-masked]
> > > http://www3.informatik.uni-wuerzburg.de/research/ngn
> >
> > _______________________________________________
> > re-ECN mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/re-ecn
> 
> 
> 
> --
> -------------------------------------------------------------------
> Dipl.-Ing. Mirja Kühlewind
> Institute of Communication Networks and Computer Engineering (IKR)
> University of Stuttgart, Germany
> Pfaffenwaldring 47, D-70569 Stuttgart
> 
> web: www.ikr.uni-stuttgart.de
> email: [email-masked]
> tel: +49(0)711/685-67973
> -------------------------------------------------------------------
_______________________________________________
re-ECN mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/re-ecn